Overview | Modules | Class Hierarchy | Classes | Members
# tlp::ForegroundEntity Class Reference `#include <ForegroundEntity.h>` List of all members. ## Detailed Description Abstract class use by entities who want to be displayed in foreground of GlMainWidget. This class is use by entities who want to be displayed in foreground of GlMainWidget Warning: This entities are very special, this is reserved to entities who can't be in scene (for example rectangle on overview widget) ## Public Member Functions virtual ~ForegroundEntity () virtual void draw (GlMainWidget *glMainWidget)=0 ## Constructor & Destructor Documentation
virtual tlp::ForegroundEntity::~ForegroundEntity | ( |  | ) | `[inline, virtual]`
## Member Function Documentation
virtual void tlp::ForegroundEntity::draw | ( | GlMainWidget * | glMainWidget | ) | `[pure virtual]`
| function to draw the entity

Tulip Software by LaBRI Visualization Team 2001 - 2010